RHEL 8 : libcap (RHSA-2023:7400)

high Nessus Plugin ID 186072

Synopsis

The remote Red Hat host is missing one or more security updates for libcap.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2023:7400 advisory.

- A vulnerability was found in the pthread_create() function in libcap. This issue may allow a malicious actor to use cause __real_pthread_create() to return an error, which can exhaust the process memory.
(CVE-2023-2602)

- A vulnerability was found in libcap. This issue occurs in the _libcap_strdup() function and can lead to an integer overflow if the input string is close to 4GiB. (CVE-2023-2603)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL libcap package based on the guidance in RHSA-2023:7400.

See Also

https://access.redhat.com/security/cve/CVE-2023-2602

https://access.redhat.com/security/cve/CVE-2023-2603

https://access.redhat.com/errata/RHSA-2023:7400

Plugin Details

Severity: High

ID: 186072

File Name: redhat-RHSA-2023-7400.nasl

Version: 1.1

Type: local

Agent: unix

Published: 11/21/2023

Updated: 1/26/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:L/AC:L/Au:S/C:C/I:C/A:C

CVSS Score Source: CVE-2023-2603

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 7

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:rhel_aus:8.6, cpe:/o:redhat:rhel_e4s:8.6, cpe:/o:redhat:rhel_eus:8.6, cpe:/o:redhat:rhel_tus:8.6, p-cpe:/a:redhat:enterprise_linux:libcap, p-cpe:/a:redhat:enterprise_linux:libcap-devel

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 11/21/2023

Vulnerability Publication Date: 6/5/2023

Reference Information

CVE: CVE-2023-2602, CVE-2023-2603

CWE: 190, 401

RHSA: 2023:7400